%define name		abiword
%define version		2.2.7

%define release alt1
%define build_cvs 0

Name: %name
Summary: Lean and fast full-featured word processor
Version: %version
Release: %release
Group: Office
License: GPL
Url: http://www.abisource.com/
%if %build_cvs
Source: http://download.abisource.com/releases/%version/src/lf/abiword-%{version}cvs.tar.gz
%else
Source: http://download.abisource.com/releases/%version/src/lf/abiword-%version.tar.gz
%endif
Source6: abiword-48.png.bz2
Source7: abiword-32.png.bz2
Source8: abiword-16.png.bz2
Source10: abiword.keys
Source11: abiword.mime
Source12: be-templates.tar
Source13: be-profiles.tar

#Patch10: %name-2.1.2-gda.patch
#Patch11: %name-2.1.2-belarusian.patch
Patch12: %name-2.1.3-be_SU.patch

AutoReq: yes, noshell
Obsoletes: abisuite, abisuite-koi8, abisuite-cp1251, abisuite-iso8859-8
BuildPreReq: gcc-c++-common
BuildPreReq: gcc >= 3.4.3
BuildPreReq: gcc-c++ >= 3.4.3
# Automatically added by buildreq on Tue Apr 27 2004
BuildRequires: ORBit2-devel libexpat-devel libots-devel libwpd-devel XFree86-devel XFree86-libs bzlib-devel esound fontconfig-devel freetype2-devel glib2-devel gnome-libs-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libcroco-devel libeel2-devel libenchant-devel libfribidi-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgsf-devel libgtk+2-devel libgucharmap-devel libjpeg-devel libnautilus-devel libncurses-devel libpango-devel libpng-devel libpopt-devel libreadline-devel librsvg2-devel libstdc++-devel libwmf-devel libxml2-devel pkgconfig python-dev zlib-devel

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.
(http://www.abisource.com)
It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Document Templates
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images
   and much more...

%prep
%if %build_cvs
%setup -q -n %name
%else
%setup -q -n %name-%version
%endif
#%patch10 -p1
#%patch11 -p1
%patch12 -p1


%build
cd abi

%if %build_cvs
./autogen.sh --prefix=%prefix
%configure --enable-gnome
%else
%configure --enable-gnome
%endif
%make
cd ../abiword-plugins
%if %build_cvs
./nextgen.sh
%configure --disable-magick --enable-AbiGdkPixbuf
%else
%configure --disable-magick --enable-AbiGdkPixbuf
%endif
#--disable-gda
%install
cd abi
%makeinstall
cd ../abiword-plugins
%makeinstall DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_datadir/mime-info
install -m 644 %SOURCE10 %SOURCE11  $RPM_BUILD_ROOT%_datadir/mime-info

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps
bzcat %SOURCE6 > $RPM_BUILD_ROOT%_liconsdir/abiword.png
bzcat %SOURCE7 > $RPM_BUILD_ROOT%_iconsdir/abiword.png
bzcat %SOURCE8 > $RPM_BUILD_ROOT%_miconsdir/abiword.png

mv $RPM_BUILD_ROOT%_iconsdir/abiword_48.png $RPM_BUILD_ROOT%_datadir/pixmaps/

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/abiword" section="Office/Wordprocessors" \
icon="abiword.png" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

# be profiles
tar xf %SOURCE12 -C $RPM_BUILD_ROOT%_datadir/AbiSuite-2.2/

# be templates
tar xf %SOURCE13 -C $RPM_BUILD_ROOT%_datadir/AbiSuite-2.2/AbiWord/



%post
%update_menus

%postun
%clean_menus

%files
%doc abi/docs
%_bindir/AbiWord-2.2
%_bindir/abiword
%_libdir/bonobo/*
%_libdir/AbiWord-2.2/plugins/*.so
%_libdir/AbiWord-2.2/plugins/AbiWord/*
%_miconsdir/*
%_liconsdir/*
%_iconsdir/%name.png
%_menudir/%name
%_datadir/pixmaps/abiword_48.png
%_datadir/AbiSuite-2.2
%_datadir/applications/*
%_datadir/mime-info/*

%changelog
* Wed Apr 06 2005 Vital Khilko <vk@altlinux.ru> 2.2.7-alt1
- 2.2.7

* Tue Feb 22 2005 Vital Khilko <vk@altlinux.ru> 2.2.4-alt1
- 2.2.4

* Fri Jan 21 2005 Vital Khilko <vk@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Thu Jan 20 2005 Vital Khilko <vk@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Sep 21 2004 Vital Khilko <vk@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Thu Jun 24 2004 Vital Khilko <vk@altlinux.ru> 2.1.3-alt1
- bugfix release

* Thu May 13 2004 Vital Khilko <vk@altlinux.ru> 2.1.2-alt2
- fixed #4132
- added belarusian templates
- added be_SU locale support

* Tue Apr 27 2004 Vital Khilko <vk@altlinux.ru> 2.1.2-alt1
- new version
- builded with enchant support

* Wed Jul 30 2003 AEN <aen@altlinux.ru> 1.99.3-alt1
- new version

* Thu Jul 10 2003 AEN <aen@altlinux.ru> 1.9.2-alt1
- new version

* Tue Jul 08 2003 AEN <aen@altlinux.ru> 1.9.1-alt1
- new gtk2/gnome2 version
- build cvs post-1.9.1 source

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 1.0.3-alt1
- new version
- built w/o gnome

* Thu Jun 06 2002 AEN <aen@logic.ru> 1.0.2-alt1
- new version

* Sun Jun 02 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Mon Mar 18 2002 AEN <aen@logic.ru> 0.99.3-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.9.4.1-alt6
- rebuilt with gal-0.19

* Wed Nov 22 2001 AEN <aen@logic.ru> 0.9.4.1-alt5
- print patch

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.9.4.1-alt4
- rebuild with new libgal

* Fri Oct 25 2001 AEN <aen@logic.ru> 0.9.4.1-alt3
- rebuild with new libgal

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.9.4.1-alt2
- rebuilt with libpng.so.3

* Tue Oct 9 2001 AEN <aen@logic.ru> 0.9.4.1-alt1
- new version
- build w/o bidi (temporary)

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.9.2-alt2
- rebuild with new libgal
* Thu Aug 16 2001 AEN <aen@logic.ru> 0.9.2-alt1
* Wed Aug 15 2001 AEN <aen@logic.ru> 0.9-alt4
- don't add  Abisource fonts to fontpath!
* Mon Aug 13 2001 AEN <aen@logic.ru> 0.9-alt3
- s/666/644/g
* Fri Aug 10 2001 AEN <aen@logic.ru> 0.9-alt2
- direct print enabled
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.9-alt1
- 0.9
* Tue Jul 17 2001 AEN <aen@logic.ru> 0.9-alt0.4
- new snapshot
- cp1251 added to encodettf

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.3
- i18n patch (belarusian, hebrew & ukrainian support)
* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.2
- ABI_USE_100_ISPELL
- use ispell american dictionary

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.1
- snapshot 010709

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.7.14-alt3
- rebuild with libgal-0.9
- new wrapper patch

* Sat Jun 9 2001 AEN <aen@logic.ru> 0.7.14-alt2
- bidi enabled

* Fri May 25 2001 AEN <aen@logic.ru> 0.7.14-alt1
- sync with MDK
- build with gnome
- unichar patch

* Tue Feb 27 2001 AEN <aen@logic.ru>
- 0.7.13

* Thu Nov 30 2000 AEN <aen@logic.ru>
- gcc296 patch
- build for 7.2RE

* Tue Oct 10 2000 AEN <aen@logic.ru>
- two small patches

* Sun Oct 8 2000 AEN <aen@logic.ru>
- New patch from hvv

* Mon Oct 2 2000 AEN <aen@logic.ru>
- build for RE with i18n patch from Vlad Harchev (hvv@hyppo.ru)

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
